# $Id: relevation.spec.in 611 2014-05-23 19:27:24Z toni $
# See http://fedoraproject.org/wiki/Packaging:Python
# Downstream specfile can be found at
#  http://pkgs.fedoraproject.org/cgit/relevation.git/

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Summary: Command-line search for Revelation Password Manager files
Name: relevation
Version: 1.3
Release: 1.pon%{?dist}
License: BSD
Packager: Toni Corvera
Group: Applications/Text
URL: http://p.outlyer.net/relevation/
Source: http://p.outlyer.net/relevation/files/relevation-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: python2-devel
Requires: libxml2-python
Requires: python-crypto
Requires: python-lxml

%description
Relevation is a tool to retrieve passwords stored in a password file in the
format used by Revelation, from the command-line instead of through a GUI.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
make install prefix=%{_prefix} DESTDIR=%{buildroot} INSTALL_LAYOUT=
# We include the extra tools as %%doc, remove from here
rm -rf %{buildroot}%{_prefix}/share/doc/relevation/extra/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE
%doc src/gui.py devtools/*.py
%{_bindir}/relevation
%{_mandir}/man1/relevation.1*
%{python2_sitelib}/relevation/
%{python2_sitelib}/relevation-*.egg-info

%changelog
* Fri May 23 2014 Toni Corvera <outlyer@gmail.com> 1.3-1.pon
- Handle installation of new module

* Wed Oct 30 2013 Toni Corvera <outlyer@gmail.com> 1.2.1-1.pon
- Integrated spec from Fedora into upstream source

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 29 2012 Matthias Saou <matthias@saou.eu> 1.1-3
- Add missing python-lxml requirement (#807335).

* Mon Mar 26 2012 Matthias Saou <matthias@saou.eu> 1.1-2
- Fix URL vs. email in spec changelog.

* Mon Jul 18 2011 Matthias Saou <matthias@saou.eu> 1.1-1
- Update to 1.1.
- New extra tools, remove the "make install"ed ones, include them as %%doc.

* Mon Jul  4 2011 Matthias Saou <matthias@saou.eu> 1.0-1
- Initial RPM release.

